Uses of Class
org.apache.juneau.marshall.serializer.WriterSerializer
Packages that use WriterSerializer
Package
Description
Configuration Support
Marshalling API
Collections classes.
CSV Marshalling Support
Hjson (Human JSON) format serializer and parser for Apache Juneau.
HOCON (Human-Optimized Config Object Notation) format serializer and parser for Apache Juneau.
HTML Marshalling Support
INI format serializer and parser for Apache Juneau.
JCS (JSON Canonicalization Scheme) Marshalling Support.
RDF Marshalling Support
JSON Marshalling Support.
JSON5 Marshalling Support.
JSON5L (JSON5 Lines) marshalling support.
JSONL (JSON Lines) marshalling support.
Markdown serializer and parser support for Apache Juneau.
Marshallers
OpenAPI Marshalling Support
Plaintext Marshalling Support
Serializer API
SOAP/XML Marshalling Support
Server-Sent Events (SSE) marshalling support —
text/event-stream.TOML v1.0.0 serializer and parser for Apache Juneau.
UON Marshalling Support
URL-Encoding Marshalling Support
XML Marshalling Support
YAML Marshalling Support
-
Uses of WriterSerializer in org.apache.juneau.config
Fields in org.apache.juneau.config declared as WriterSerializerMethods in org.apache.juneau.config with parameters of type WriterSerializerModifier and TypeMethodDescriptionConfig.Builder.serializer(WriterSerializer value) POJO serializer. -
Uses of WriterSerializer in org.apache.juneau.marshall
Methods in org.apache.juneau.marshall that return WriterSerializerModifier and TypeMethodDescriptionprotected WriterSerializerMarshallingContext.getBeanToStringSerializer()Returns the serializer to use for serializing beans when using theMarshallingSession.convertToType(Object, Class)and related methods. -
Uses of WriterSerializer in org.apache.juneau.marshall.collections
Methods in org.apache.juneau.marshall.collections with parameters of type WriterSerializerModifier and TypeMethodDescriptionMarshalledList.toString(WriterSerializer serializer) Serializes this list to a string using the specified serializer.MarshalledMap.toString(WriterSerializer serializer) Serializes this map to a string using the specified serializer. -
Uses of WriterSerializer in org.apache.juneau.marshall.csv
Subclasses of WriterSerializer in org.apache.juneau.marshall.csvModifier and TypeClassDescriptionclassSerializes POJO models to CSV (Comma Separated Values) format. -
Uses of WriterSerializer in org.apache.juneau.marshall.hjson
Subclasses of WriterSerializer in org.apache.juneau.marshall.hjsonModifier and TypeClassDescriptionclassSerializes POJO models to Hjson (Human JSON). -
Uses of WriterSerializer in org.apache.juneau.marshall.hocon
Subclasses of WriterSerializer in org.apache.juneau.marshall.hoconModifier and TypeClassDescriptionclassSerializes POJO models to HOCON (Human-Optimized Config Object Notation). -
Uses of WriterSerializer in org.apache.juneau.marshall.html
Subclasses of WriterSerializer in org.apache.juneau.marshall.htmlModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as HTML documents.classSerializes POJO metamodels to HTML.classSerializes POJO metamodels to HTML.static classDefault serializer, with whitespace.static classDefault serializer, single quotes, simple mode.static classDefault serializer, single quotes, simple mode, with whitespace.classSerializes POJO models to HTML.static classDefault serializer, single quotes.static classDefault serializer, single quotes, whitespace added.classSerializes POJOs to HTTP responses as stripped HTML. -
Uses of WriterSerializer in org.apache.juneau.marshall.ini
Subclasses of WriterSerializer in org.apache.juneau.marshall.ini -
Uses of WriterSerializer in org.apache.juneau.marshall.jcs
Subclasses of WriterSerializer in org.apache.juneau.marshall.jcsModifier and TypeClassDescriptionclassSerializes POJO models to canonical JSON per RFC 8785 (JCS). -
Uses of WriterSerializer in org.apache.juneau.marshall.jena
Subclasses of WriterSerializer in org.apache.juneau.marshall.jenaModifier and TypeClassDescriptionclassSubclass ofRdfSerializerfor serializing POJOs to JSON-LD format.classSubclass ofRdfSerializerfor serializing POJOs to N3 (Notation3) format.classSubclass ofRdfSerializerfor serializing POJOs to N-Quads format.classSubclass ofRdfSerializerfor serializing POJOs to N-Triples notation.classSubclass ofRdfSerializerfor serializing POJOs to RDF/JSON notation.classSerializes POJOs to RDF.classSubclass ofRdfSerializerfor serializing POJOs to RDF/XML-Abbrev (abbreviated XML notation).classSubclass ofRdfSerializerfor serializing POJOs to RDF/XML (standard XML notation).classSubclass ofRdfSerializerfor serializing POJOs to TriG format.classSubclass ofRdfSerializerfor serializing POJOs to TriX (XML) format.classSubclass ofRdfSerializerfor serializing POJOs to Turtle format. -
Uses of WriterSerializer in org.apache.juneau.marshall.json
Subclasses of WriterSerializer in org.apache.juneau.marshall.jsonModifier and TypeClassDescriptionclassSerializes POJO metadata to HTTP responses as JSON-Schema.static classDefault serializer, with whitespace.classSerializes POJO models to RFC 8259 JSON.static classDefault serializer, with whitespace. -
Uses of WriterSerializer in org.apache.juneau.marshall.json5
Subclasses of WriterSerializer in org.apache.juneau.marshall.json5Modifier and TypeClassDescriptionclassSerializes POJO models to Simplified JSON.static classDefault serializer, single quotes, simple mode, with whitespace. -
Uses of WriterSerializer in org.apache.juneau.marshall.json5l
Subclasses of WriterSerializer in org.apache.juneau.marshall.json5lModifier and TypeClassDescriptionclassSerializes POJO models to JSON5L (JSON5 Lines). -
Uses of WriterSerializer in org.apache.juneau.marshall.jsonl
Subclasses of WriterSerializer in org.apache.juneau.marshall.jsonlModifier and TypeClassDescriptionclassSerializes POJO models to JSONL (JSON Lines). -
Uses of WriterSerializer in org.apache.juneau.marshall.markdown
Subclasses of WriterSerializer in org.apache.juneau.marshall.markdownModifier and TypeClassDescriptionclassSerializes POJO models to Markdown document mode (headings + tables).classSerializes POJO models to Markdown (fragment mode: tables and lists). -
Uses of WriterSerializer in org.apache.juneau.marshall.marshaller
Constructors in org.apache.juneau.marshall.marshaller with parameters of type WriterSerializer -
Uses of WriterSerializer in org.apache.juneau.marshall.oapi
Subclasses of WriterSerializer in org.apache.juneau.marshall.oapiModifier and TypeClassDescriptionclassSerializes POJOs to values suitable for transmission as HTTP headers, query/form-data parameters, and path variables. -
Uses of WriterSerializer in org.apache.juneau.marshall.plaintext
Subclasses of WriterSerializer in org.apache.juneau.marshall.plaintextModifier and TypeClassDescriptionclassSerializes POJOs to plain text using just thetoString() method on the serialized object. -
Uses of WriterSerializer in org.apache.juneau.marshall.serializer
Methods in org.apache.juneau.marshall.serializer that return WriterSerializerModifier and TypeMethodDescriptionWriterSerializer.Builder.build()final WriterSerializerConvenience method for serializing an object and sending it to STDOUT.Methods in org.apache.juneau.marshall.serializer that return types with arguments of type WriterSerializerModifier and TypeMethodDescriptionSerializerSet.getWriterSerializer(String acceptHeader) Same asSerializerSet.getSerializer(String), but casts it to aWriterSerializer.SerializerSet.getWriterSerializer(MediaType mediaType) Same asSerializerSet.getSerializer(MediaType), but casts it to aWriterSerializer.Methods in org.apache.juneau.marshall.serializer with parameters of type WriterSerializerModifier and TypeMethodDescriptionstatic WriterSerializerSession.Builder<?>WriterSerializerSession.create(WriterSerializer ctx) Creates a new builder for this object.Constructors in org.apache.juneau.marshall.serializer with parameters of type WriterSerializerModifierConstructorDescriptionprotectedBuilder(WriterSerializer copyFrom) Copy constructor.protectedBuilder(WriterSerializer ctx) Constructor -
Uses of WriterSerializer in org.apache.juneau.marshall.soap
Subclasses of WriterSerializer in org.apache.juneau.marshall.soapModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as XML+SOAP. -
Uses of WriterSerializer in org.apache.juneau.marshall.sse
Subclasses of WriterSerializer in org.apache.juneau.marshall.sseModifier and TypeClassDescriptionclassSerializesSseEventobjects to thetext/event-stream wire format defined by the WHATWG Server-Sent Events spec. -
Uses of WriterSerializer in org.apache.juneau.marshall.toml
Subclasses of WriterSerializer in org.apache.juneau.marshall.toml -
Uses of WriterSerializer in org.apache.juneau.marshall.uon
Subclasses of WriterSerializer in org.apache.juneau.marshall.uonModifier and TypeClassDescriptionclassSerializes POJO models to UON (a notation for URL-encoded query parameter values).static classEquivalent toUonSerializer..create ().encoding().build();static classEquivalent toUonSerializer..create ().ws().build(); -
Uses of WriterSerializer in org.apache.juneau.marshall.urlencoding
Subclasses of WriterSerializer in org.apache.juneau.marshall.urlencodingModifier and TypeClassDescriptionclassSerializes POJO models to URL-encoded notation with UON-encoded values (a notation for URL-encoded query paramter values).static classEquivalent toUrlEncodingSerializer..create ().expandedParams().build();static classEquivalent toUrlEncodingSerializer..create ().plainTextParts().build();static classEquivalent toUrlEncodingSerializer..create ().useWhitespace().build(); -
Uses of WriterSerializer in org.apache.juneau.marshall.xml
Subclasses of WriterSerializer in org.apache.juneau.marshall.xmlModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as XML.static classDefault serializer without namespaces.classSerializes POJO models to XML.static classDefault serializer without namespaces.static classDefault serializer without namespaces, single quotes.static classDefault serializer without namespaces, single quotes, with whitespace.static classDefault serializer, single quotes.static classDefault serializer, single quotes, whitespace added. -
Uses of WriterSerializer in org.apache.juneau.marshall.yaml
Subclasses of WriterSerializer in org.apache.juneau.marshall.yamlModifier and TypeClassDescriptionclassSerializes POJO models to YAML.static classDefault serializer, with whitespace.